@extends('crm-admin::main-layout')

@section('content')
<div class='row'>
  <div class='col-md-12'>
    <div class='box'>
      <div class='box-header dark'>
        <h2>
          Listado de comentarios
          <span>
            <a class='btn btn-xs success' href="{{route('index.comments').'?approved=3'}}">Aprobados</a>
            <a class='btn btn-xs danger' href="{{route('index.comments').'?approved=2'}}">Rechazados</a>
            <a class='btn btn-xs warning' href="{{route('index.comments')}}">Sin Moderar</a>
            <a class='btn btn-xs info' href="{{route('index.comments').'?moderate=2'}}">Moderados</a>
          </span>
        </h2>
      </div>
      <div class='box-body'>
        <table class='table'>
          <tr>
            <th>#</th>
            <th>Publicación</th>
            <th>Contenido</th>
            <th>Estatus</th>
            <th width='20%'></th>
          </tr>
          @foreach($comments as $c)
          <tr>
            <td> {{$c->id}}</td>
            <td>
              Nombre:
              <b> {{$c->name}}</b>
              <br>
              Correo:
              <b> {{$c->email}}</b>
              <br>
              Fecha:
              <b> {{$c->created_at->format('d/m/Y')}}</b>
            </td>
            <td>{{ $c->comment}}</td>
            <td>
              Moderación:
              <b>{{ $c->moderate == 1 ? "Pendiente" : "Visto"}}</b>
              <br>
              Aprobacion:
              @if ($c->approved == 1)
                <b>Pendiente</b>
              @endif
              @if ($c->approved == 2)
                <b>Rechazado</b>
              @endif
              @if ($c->approved == 3)
                <b>Aprobado</b>
              @endif
              <br>
            </td>
            <td>
              {!! Form::model($c,['route'=> ['moderate.comments',$c->id],"method"=>"PUT"]) !!}
              {!! Form::select('approved', [1=>'Pendiente',2=>'Rechazado', 3=>'Aprobado'], null, ["class"=>"form-control", "required"=>"required"]) !!}
              <button class='btn btn-danger btn-xs' onclick="return confirm('¿Estás seguro de cambiar este elemento?');" type='submit'>
                Actualizar
              </button>
              {!! Form::close()!!}
            </td>
          </tr>
          @endforeach
        </table>
      </div>
      <div class='dker p-a text-right'>{{ $comments->links()}}</div>
    </div>
  </div>
</div>
@endsection
